"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const options_keys_1 = require("../../model/options.keys");
const plumber = require("gulp-plumber");
const logger_1 = require("../services/logger");
const gulp = require('gulp');
/**
 * Copy markdown files and package.json to outDir folder
 */
class CopyFilesToOutdirTask {
    /**
     * Registring the task
     */
    registerTask(argv, onError, dependencies = []) {
        const taskName = 'copy-files-to-outdir-task';
        logger_1.Logger.warning("\niniciando :" + taskName);
        const filesToCopy = ['package.json', '*.md', '.gitignore', '.npmignore', 'LICENSE'];
        gulp.task(taskName, dependencies, () => {
            logger_1.Logger.success("finalizando :" + taskName);
            return gulp.src(filesToCopy)
                .pipe(plumber(onError))
                .pipe(gulp.dest(argv[options_keys_1.OptionsKeys.OUT_DIR]));
        });
        return taskName;
    }
}
exports.CopyFilesToOutdirTask = CopyFilesToOutdirTask;
//# sourceMappingURL=copy-files-to-outdir.task.js.map